% TropD software for calculating tropical width metrics, version 1.3
% Written by Ori Adam 
% Versions:
% 1.0 published online Jan.22.2018
% 1.1 published online Jan.30.2018
% 1.2 published online May.1.2018 
% 1.3 Published online Sep.3.2018
% The package contains:
% 1. 8 Metric functions TropD_Metric_[MetricName] which output various metrics of the edge of the tropics in the SH and NH
% 2. 4 Basic calculations: 
%    - TropD_Calculate_ZeroCrossing: Find the latitude of zero crossing of a given field
%    - TropD_Calculate_MaxLat: Find the latitude of the maximum of a given field 
%    - TropD_Calculate_StreamFunction: Calculate the meridional mass streamfunction
%    - TropD_Calculate_TropopauseHeight: Calculate the height of the tropopause
%    - TropD_Calculate_Mon2Season: Calculate seasonal means from monthly time series 
% 3. TropD_Example_Calculations: Example and tutorial code
%
% Code and method documentation can be found at Adam et al. (2018):
% Adam O., K. M. Grise, P. Staten, I. Simpson, S. M. Davis, N. A. Davis, D. W. Waugh, T. Birner and A. Ming, 2018: 
% The TropD software package (v1): standardized methods for calculating Tropical Width Diagnostics. Geoscientific Model Development.
% 

% LICENSE
% 
% Redistribution and use in source and binary forms, with or without
% modification, are permitted provided that:  
% Redistributions of source code must retain the above credit to the
% authors and the following disclaimer in the documentation and/or other materials provided 
% with the distribution notice.
% 
% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
% AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
% IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
% ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
% LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
% CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
% SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
% INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
% CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
% ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
% POSSIBILITY OF SUCH DAMAGE.
